help([[
This module loads the tau library built with the intel
compiler toolchain and the openmpi4 MPI stack.

Version 2.31.1
]])

whatis("Name: tau built with intel compiler")
whatis("Version: 2.31.1")
whatis("Category: runtime library")
whatis("Description: Tuning and Analysis Utilities Profiling Package")
whatis("URL http://www.cs.uoregon.edu/research/tau/home.php")

local version = "2.31.1"

prepend_path("PATH",            "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1/bin")
prepend_path("MANPATH",         "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1/man")
prepend_path("INCLUDE",         "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1/include")
prepend_path("LD_LIBRARY_PATH", "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1/lib")

setenv("TAU_DIR",      "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1")
setenv("TAU_BIN",      "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1/bin")
setenv("TAU_LIB",      "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1/lib")
setenv("TAU_INC",      "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1/include")
setenv("TAU_MAKEFILE", "/opt/ohpc/pub/libs/intel/openmpi4/tau/2.31.1/include/Makefile")
setenv("TAU_OPTIONS",  "-optRevert -optShared -optNoTrackGOMP")

depends_on("pdtoolkit")
depends_on("papi")
